@echo off
rem ----------------------------------------------
rem TT77671 - A bug in JBoss 5.x
rem Usage: jboss5.bat "<JBOSS_HOME>"
rem ----------------------------------------------

if [%1]==[] goto ERROR
set CURR_DIR=%CD%
set JBOSS_HOME=%1

if not exist %JBOSS_HOME% goto INVALID

mkdir %JBOSS_HOME%\jboss5

copy %JBOSS_HOME%\lib\jboss-system-jmx.jar %JBOSS_HOME%\jboss5\jboss-system-jmx.jar

chdir %JBOSS_HOME%\jboss5

jar xvf jboss-system-jmx.jar org/jboss/system/server/jmx/LazyMBeanServer.class org/jboss/system/server/jmx/MBeanServerBuilderImpl.class

del jboss-system-jmx.jar

jar -cvf jboss5.jar *

copy jboss5.jar %JBOSS_HOME%\bin\jboss5.jar

chdir %CURR_DIR%

rmdir /S /Q %JBOSS_HOME%\jboss5
goto EOF

:INVALID
echo Path entered for JBOSS_HOME is invalid!
goto EOF

:ERROR
echo Missing argument for JBOSS_HOME path!

:EOF